## okteta 0.26.2

=== debian/changelog ===
okteta (5:0.26.2-2ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
    - Transitional liboketa-data package for moving to libokteta-l10n.
    - l10n Breaks/Replaces according to Ubuntu version history.
    - Breaks/Replaces for file moved from okteta to okteta-dev.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Aug 2019 19:26:03 +0100

okteta (5:0.26.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update symbols files from logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:01:17 +0200

okteta (5:0.26.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable the ABIManager, as the library handled got an SONAME bump
    - drop patch enable_debianabimanager.diff
  * Rename packages according to the SONAME bumps:
    - libkasten3controllers3 -> libkasten4controllers0
    - libkasten3core3 -> libkasten4core0
    - libkasten3gui3 -> libkasten4gui0
    - libkasten3okteta1controllers1abi1 -> libkasten4okteta2controllers0
    - libkasten3okteta1core1 -> libkasten4okteta2core0
    - libkasten3okteta1gui1 -> libkasten4okteta2gui0
    - libokteta2core2 -> libokteta3core0
    - libokteta2gui2 -> libokteta3gui0
  * Update install files.
  * Update symbols files.
  * Split the libokteta/libkasten translations to a new libokteta-l10n
    package, to ease the migration to new SONAMEs in the future:
    - add to libokteta-l10n breaks/replaces of the old SONAMEs, since the new
      ones are part of this revision
    - move also the kde-l10n breaks/replaces to libokteta-l10n
    - depend on libokteta-l10n where were translations before
  * Update the build dependencies according to the upstream build system:
    - bump the KF packages to >= 5.48.0
    - explicitly add gettext
    - adjust the dependencies for okteta-dev accordingly
  * Remove the mention of being part of "KDE Software Development Kit" in the
    descriptions, as okteta is no more part of kdesdk.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update Homepage to https://kde.org/applications/utilities/okteta.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Aug 2019 09:35:54 +0200

okteta (5:0.25.5-1ubuntu1) disco; urgency=medium

  * New upstream release (0.25.5).
  * Merge Debian changes. Remaining changes:
    - liboketa-data package for translations.
    - l10n Breaks/Replaces according to Ubuntu version history.
    - Breaks/Replaces for file moved from okteta to okteta-dev.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 15:27:32 +0000

okteta (5:0.25.4-3ubuntu1) disco; urgency=medium

  * Merge from Debian: remaining changes:
    - liboketa-data package for translations.
    - l10n Breaks/Replaces according to Ubuntu version history.
    - Breaks/Replaces for file moved from okteta to okteta-dev.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 10:34:34 +0000

okteta (5:0.25.4-1ubuntu1) disco; urgency=medium

  * Merge from Debian: remaining changes:
    - liboketa-data package for translations.
    - l10n Breaks/Replaces according to Ubuntu version history.
    - Breaks/Replaces for file moved from okteta to okteta-dev.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 19 Nov 2018 10:40:36 +0000
