=== debian/changelog ===
okteta (5:0.26.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replaces to suit Kubuntu version history.

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Feb 2020 08:55:38 +0000

okteta (5:0.26.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark all the library package as Multi-Arch: same, and libokteta-l10n as
    Multi-Arch: foreign.
  * Add also the GPG key 0x0A48BC961075B4BA8523E3790A345FB086E797D9 as upstream
    signing key.
  * Small update to copyright.
  * Update install files.
  * Unregister okteta-structures.knsrc as conffile, as it is no more in /etc.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2020 20:43:56 +0100
