=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
                shared-mime-info (>= 0.30),
                xauth,
                xvfb,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://kde.org/applications/utilities/okteta
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/okteta
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/okteta.git
@@ -44,6 +44,7 @@
 Package: libkasten4controllers0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: controllers Kasten library for Okteta
  Kasten is a framework for composing programs.
@@ -53,6 +54,7 @@
 Package: libkasten4core0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
          libokteta-l10n (>= ${source:Version}),
 Description: core Kasten library for Okteta
@@ -63,6 +65,7 @@
 Package: libkasten4gui0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: gui Kasten library for Okteta
  Kasten is a framework for composing programs.
@@ -72,6 +75,7 @@
 Package: libkasten4okteta2controllers0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: kastencontrollers library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
@@ -83,6 +87,7 @@
 Package: libkasten4okteta2core0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
          libokteta-l10n (>= ${source:Version}),
 Description: kastencore library for Okteta
@@ -95,6 +100,7 @@
 Package: libkasten4okteta2gui0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: kastengui library for Okteta
  Okteta is a simple editor for the raw data of files. This type of program is
@@ -106,6 +112,7 @@
 Package: libokteta3core0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
          libokteta-l10n (>= ${source:Version}),
 Description: core Okteta library
@@ -117,6 +124,7 @@
 Package: libokteta3gui0
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
          libokteta-l10n (>= ${source:Version}),
 Description: gui Okteta library
@@ -128,6 +136,7 @@
 Package: libokteta-l10n
 Architecture: all
 Section: localization
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: ${kde-l10n:all}
         libkasten3core3 (<< 5:0.26.2),
@@ -147,15 +156,6 @@
  .
  This package provides the translations for the various libokteta/libkasten
  libraries.
-
-Package: libokteta-data
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: libokteta-l10n, ${misc:Depends}
-Description: library data files for Okteta - transitional package
- This is a transitional package updating libokteta-data to libokteta-l10n
- and can safely be removed.
 
 Package: okteta
 Architecture: any
